import { Module } from '@nestjs/common';
import { ProductController } from './product.controller';
import { ProductService } from './product.service';
import { ProductEntity } from './product.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '../tools/storage/storage.module';
import { DatabaseModule } from '~/shared/database/database.module';

@Module({
  imports: [TypeOrmModule.forFeature([ProductEntity]), StorageModule, DatabaseModule],
  controllers: [ProductController],
  providers: [ProductService]
})
export class ProductModule {}
